thwcoll.h File Reference

Thai wide-char string collation. More...

## Functions

int | th_wcstrcoll (const thwchar_t *s1, const thwchar_t *s2)
| Compare two Thai wide-char strings for collation.
size_t | th_wcstrxfrm (thwchar_t dest[], const thwchar_t *src, size_t n)
| Transform wide-char string into collatable form.

## Detailed Description

Thai wide-char string collation.

## Function Documentation

## th_wcstrcoll()

int th_wcstrcoll | ( | const thwchar_t * | s1,
|  | const thwchar_t * | s2 )

extern

Compare two Thai wide-char strings for collation.

Parameters

  s1 | : first wide-char string (null-terminated)
  s2 | : second wide-char string (null-terminated)

Returns
  < 0 if s1 precedes s2; 0 if s1 equals s2; > 0 if s1 succeeds s2

## th_wcstrxfrm()

size_t th_wcstrxfrm | ( | thwchar_t | dest[],
|  | const thwchar_t * | src,
|  | size_t | n )

extern

Transform wide-char string into collatable form.

Parameters

  dest | : the destination wide-char string buffer
  src | : the wide-char string to transform
  n | : the size of dest buffer (as number of elements)

Returns
  the number of elements required to store the result in dest, excluding the terminating '\0'. If the return value >= n, dest is undefined.

Transforms src into a form from which comparison using wcscmp() yields the same result as that from th_wcstrcoll(). At most n characters are put in dest.